import { connect } from 'react-redux'
import * as at from '../actions/actionTypes'
import InputPanel from '../components/InputPanel'
import { mkAddUrl } from '../actions'

const mapStateToProps = state => {
  return { routes: state.routes }
}

const mapDispatchToProps = dispatch => ({
  onAdd: (url) => dispatch(mkAddUrl(url))
})

export default connect(mapStateToProps, mapDispatchToProps)(InputPanel)
