import * as at from '../actions/actionTypes'
import { extractStops } from '../helpers'


const initialState = {
  routes: [],
}

const reducer = (state = initialState, action) => {
  switch (action.type) {
    case at.ADD_URL:
      return {routes: state.routes.concat([extractStops(action.payload)])}

    default:
      return state
  }
}

export default reducer
